#ifndef GCODEVIEWER_H
#define GCODEVIEWER_H

#include <QDockWidget>

class SimpleTextEdit;
class QScrollBar;

class GCodeViewer : public QDockWidget
{
    Q_OBJECT
public:
    explicit GCodeViewer(QWidget *parent = 0);
    
    QByteArray getGCode() const;
signals:
    
public slots:
    void setGCode(const QByteArray &gcode);

private slots:
    void saveGCode();
    void loadGCode();

private:
    SimpleTextEdit *gcode_view;
    QScrollBar *scroll_bar;

private:
    static GCodeViewer *pInstance;
public:
    static GCodeViewer *instance();
};

#endif // GCODEVIEWER_H
